For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/work-items-checklist-groups-add.md.
Attach a catalogue group to a work item
Rejects a duplicate (same sourcegroupid) with 400.
POST
/api/v1/partner/work-items/checklist/groups/addRejects a duplicate (same source_group_id) with 400. Payload: {work_item_type*, work_item_id*, source_group_id*}.
#Authorizations
X-API-KEYstringrequiredDeveloper API key (starts with osk_)
Example: osk_1234567890abcdef1234567890abcdef
#Headers
AcceptstringrequiredContent type of response
Example: application/json
Content-TypestringrequiredContent type of request
Example: application/json
#Request body
encrypted_datastringrequired#Responses
201Created
400Group already on this work item
403Not allowed to manage
404Group not found